<template>
	<view class="safeArea">
		<nav-bar title="我的考试"></nav-bar>
		<view class="examWrap">
			<view class="examItem" @click="goAppointment">
				<view class="item">考试预约</view>
				<view class="item"><text class="num">{{yyNum}}</text>个<u-icon name="arrow-right" color="#999999" size="28"></u-icon></view>
			</view>
			<view class="examItem" @click="goResult">
				<view class="item">考试成绩和证书</view>
				<view class="item"><u-icon name="arrow-right" color="#999999" size="28"></u-icon></view>
			</view>
		</view>
	</view>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
	components: {
	},
	data() {
		return {
			yyNum:0,
		};
	},
	onLoad(){
	},
	onShow() {
		this.getInfo()
	},
	methods: {
		getInfo(){
			this.$api.getinfoAttached().then(res => {
				if (res.data.code === 200) {
					this.yyNum = res.data.data.subscribeSum;
				}
			});
		},
		goAppointment(){
			this.$navTo.togo('/pages2/exam/exam_appointment');
		},
		goResult(){
			this.$navTo.togo('/pages2/exam/exam_result');
		}
	},
	onReachBottom() {},
	computed: { ...mapGetters(['userInfo']) }
};
</script>
<style >
	page {
			background: #EAEEF1;
		}
</style>
<style scoped lang="scss">
.examWrap{
	padding: 16rpx;
	.examItem{
		height: 80rpx;
		background: #FFFFFF;
		box-shadow: 0px 0px 16rpx 4rpx rgba(145, 156, 178, 0.1);
		border-radius: 16rpx;
		display: flex;
		justify-content: space-between;
		align-items: center;
		padding: 0 25rpx;
		font-size: 32rpx;
		font-family: PingFang SC;
		font-weight: 500;
		color: #333333;
		margin-bottom: 16rpx;
		.num{
			color:#007AFF;
			text-decoration: underline;
			margin-right: 5rpx;
		}
	}
}
</style>
